Bug 904247 - Lucent/Agere firmware doesn't support manual roaming
Lucent/Agere firmware doesn't support manual roaming
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 15:48 EST by Zdeněk Pavlas
Modified: 2014-02-02 17:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:44:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdeněk Pavlas 2013-01-25 15:48:40 EST
Description of problem:

Cannot associate.

Version-Release number of selected component (if applicable):

wpa_supplicant-1.0-1.fc17.i686
NetworkManager-0.9.6.4-3.fc17.i686
kernel-3.7.3-101.fc17.i686

How reproducible:

Always

Steps to Reproduce:
1. Use Orinoco gold wifi card, try connecting to any AP.

Actual results:

After some timeout, a password prompt re-appears.

Expected results:

Associated.

Additional info:

There are messages "set interface ap_scan to 1" and "Lucent/Agere firmware doesn't support manual roaming" in syslog.  According to http://linuxwireless.org/en/users/Drivers/orinoco setting ap_scan=2 should work this around- but there's no such option in GUI, wpa_supplicant.conf, or network-scripts/ifcfg-* scripts.

/var/log/wpa_supplicant.log

eth0: Trying to associate with 00:21:27:ee:2e:0c (SSID='Fernet' freq=2412 MHz)
eth0: Association request to the driver failed
eth0: Authentication with 00:21:27:ee:2e:0c timed out.

/var/log/syslog:

Jan 25 14:45:40 prdel NetworkManager[452]: <info> Config: added 'ssid' value 'Fernet'
Jan 25 14:45:40 prdel NetworkManager[452]: <info> Config: added 'scan_ssid' value '1'
Jan 25 14:45:40 prdel NetworkManager[452]: <info> Config: added 'key_mgmt' value 'NONE'
Jan 25 14:45:40 prdel NetworkManager[452]: <info> Config: added 'auth_alg' value 'OPEN'
Jan 25 14:45:40 prdel NetworkManager[452]: <info> Config: added 'wep_key0' value '<omitted>'
Jan 25 14:45:40 prdel NetworkManager[452]: <info> Config: added 'wep_tx_keyidx' value '0'
Jan 25 14:45:40 prdel NetworkManager[452]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
Jan 25 14:45:40 prdel NetworkManager[452]: <info> Config: set interface ap_scan to 1
Jan 25 14:45:40 prdel NetworkManager[452]: <info> (eth0): supplicant interface state: disconnected -> scanning
Jan 25 14:45:41 prdel wpa_supplicant[1642]: ioctl[SIOCSIWFREQ]: Device or resource busy
Jan 25 14:45:41 prdel wpa_supplicant[1642]: ioctl[SIOCSIWAP]: Operation not supported
Jan 25 14:45:41 prdel kernel: [  820.846444] eth0: Lucent/Agere firmware doesn't support manual roaming
Jan 25 14:45:41 prdel NetworkManager[452]: <info> (eth0): supplicant interface state: scanning -> associating
Jan 25 14:45:51 prdel NetworkManager[452]: <info> (eth0): supplicant interface state: associating -> disconnected
Comment 1 Fedora End Of Life 2013-07-03 18:05:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:44:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.